using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.YiBin.ConvergenceMedia
{
    public class MediaArticleDetailsDto
    {
        /// <summary>
        /// 公告ID
        /// </summary>
        [JsonPropertyName("NoticeID")]
        public string NoticeID { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        [JsonPropertyName("NoticeTypeName")]
        public string NoticeTypeName { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [JsonPropertyName("NoticeTitle")]
        public string NoticeTitle { get; set; }

        /// <summary>
        /// 发布部门
        /// </summary>
        [JsonPropertyName("NoticeBMName")]
        public string NoticeBMName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [JsonPropertyName("NoticeCreateDate")]
        public string? NoticeCreateDate { get; set; }

        /// <summary>
        /// 阅读次数
        /// </summary>
        [JsonPropertyName("NoticeRCount")]
        public int NoticeRCount { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [JsonPropertyName("NoticeContent")]
        public string NoticeContent { get; set; }
    }
}
